Loading...
Searching...
No Matches
RDKit::v2::SmilesParse::SmartsParserParams Struct Reference

`#include <SmilesParse.h>`

## Public Attributes

bool | allowCXSMILES = true
bool | strictCXSMILES
bool | parseName = true
bool | mergeHs
bool | skipCleanup = false
bool | debugParse = false
std::map< std::string, std::string > | replacements

## Detailed Description

Definition at line 56 of file SmilesParse.h.

## Member Data Documentation

## allowCXSMILES

bool RDKit::v2::SmilesParse::SmartsParserParams::allowCXSMILES = true

recognize and parse CXSMILES extensions

Definition at line 57 of file SmilesParse.h.

## debugParse

bool RDKit::v2::SmilesParse::SmartsParserParams::debugParse = false

enable debugging in the SMARTS parser

Definition at line 64 of file SmilesParse.h.

## mergeHs

bool RDKit::v2::SmilesParse::SmartsParserParams::mergeHs

Initial value:
=
false

toggles merging H atoms in the SMARTS into neighboring atoms

Definition at line 61 of file SmilesParse.h.

## parseName

bool RDKit::v2::SmilesParse::SmartsParserParams::parseName = true

parse (and set) the molecule name as well

Definition at line 60 of file SmilesParse.h.

## replacements

std::map<std::string, std::string> RDKit::v2::SmilesParse::SmartsParserParams::replacements

allows SMARTS "macros"

Definition at line 66 of file SmilesParse.h.

## skipCleanup

bool RDKit::v2::SmilesParse::SmartsParserParams::skipCleanup = false

skip the final cleanup stage

Definition at line 63 of file SmilesParse.h.

## strictCXSMILES

bool RDKit::v2::SmilesParse::SmartsParserParams::strictCXSMILES

Initial value:
=
true

throw an exception if the CXSMILES parsing fails

Definition at line 58 of file SmilesParse.h.

The documentation for this struct was generated from the following file:

- SmilesParse.h